
Summary:          Heka File System
Name:             hekafs
Version:          0.7
Release:          15%{?dist}
License:          AGPLv3+
Group:            System Environment/Base
Vendor:           Red Hat
URL:              http://cloudfs.org
Source0:          http://cloudfs.org/dist/%{version}/%{name}-%{version}.tgz

# Fedora way
BuildRequires:    glusterfs-devel = 3.2.4
BuildRequires:    bison
BuildRequires:    flex
BuildRequires:    openssl-devel
BuildRequires:    libtool

Requires:         glusterfs = 3.2.4
Requires:         openssl
Requires:         python
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/service
Requires(preun):  /sbin/chkconfig
Requires(postun): /sbin/service
Obsoletes:        cloudfs <= 0:0.7-6

%description
HekaFS is a cloud-capable file system based on GlusterFS (http://gluster.org)
with additional authentication/encryption/multi-tenancy features.

%prep
%setup -q -n %{name}-%{version}

%build

%configure

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__mkdir} -p %{buildroot}%{python_sitelib}
%{__mkdir} %{buildroot}%{python_sitelib}/styles
%{__mkdir} %{buildroot}%{python_sitelib}/views
%{__cp} -pr scripts/* %{buildroot}%{python_sitelib}
%{__mkdir} %{buildroot}%{_bindir}
%{__ln_s} %{python_sitelib}/hfs_add_directory.py %{buildroot}%{_bindir}/hfs_add_directory
%{__ln_s} %{python_sitelib}/hfs_add_node.py %{buildroot}%{_bindir}/hfs_add_node
%{__ln_s} %{python_sitelib}/hfs_add_tenant.py %{buildroot}%{_bindir}/hfs_add_tenant
%{__ln_s} %{python_sitelib}/hfs_add_volume.py %{buildroot}%{_bindir}/hfs_add_volume
%{__ln_s} %{python_sitelib}/hfs_delete_tenant.py %{buildroot}%{_bindir}/hfs_delete_tenant
%{__ln_s} %{python_sitelib}/hfs_enable_tenant.py %{buildroot}%{_bindir}/hfs_enable_tenant
%{__ln_s} %{python_sitelib}/hfs_list_tenants.py %{buildroot}%{_bindir}/hfs_list_tenants
%{__ln_s} %{python_sitelib}/hfs_list_volumes.py %{buildroot}%{_bindir}/hfs_list_volumes
%{__ln_s} %{python_sitelib}/hfs_mount.py %{buildroot}%{_bindir}/hfs_mount
%{__ln_s} %{python_sitelib}/hfs_delete_volume.py %{buildroot}%{_bindir}/hfs_delete_volume
%{__ln_s} %{python_sitelib}/hfs_start_volume.py %{buildroot}%{_bindir}/hfs_start_volume
%{__ln_s} %{python_sitelib}/hfs_stop_volume.py %{buildroot}%{_bindir}/hfs_stop_volume
%{__ln_s} %{python_sitelib}/hfs_update_cert.py %{buildroot}%{_bindir}/hfs_update_cert
%{__mkdir} %{buildroot}%{_sysconfdir}/
%{__install} -D -p -m0755 hekafsd %{buildroot}%{_sysconfdir}/init.d/hekafsd
%{__mkdir} -p %{buildroot}%{_var}/log/hekafs
%{__mkdir} -p %{buildroot}%{_var}/lib/hekafs
%{__mkdir} -p %{buildroot}%{_var}/run/hekafs
%{__mkdir} %{buildroot}%{_var}/run/hekafs/idle_ports
%{__mkdir} %{buildroot}%{_var}/run/hekafs/used_ports
%{__mkdir} -p %{buildroot}%{_mandir}/man8
%{__gzip} -c doc/hfs_add_directory.8 > %{buildroot}%{_mandir}/man8/hfs_add_directory.8.gz
%{__gzip} -c doc/hfs_add_node.8 > %{buildroot}%{_mandir}/man8/hfs_add_node.8.gz
%{__gzip} -c doc/hfs_add_tenant.8 > %{buildroot}%{_mandir}/man8/hfs_add_tenant.8.gz
%{__gzip} -c doc/hfs_add_volume.8 > %{buildroot}%{_mandir}/man8/hfs_add_volume.8.gz
%{__gzip} -c doc/hfs_delete_tenant.8 > %{buildroot}%{_mandir}/man8/hfs_delete_tenant.8.gz
%{__gzip} -c doc/hfs_enable_tenant.8 > %{buildroot}%{_mandir}/man8/hfs_enable_tenant.8.gz
%{__gzip} -c doc/hfs_list_tenants.8 > %{buildroot}%{_mandir}/man8/hfs_list_tenants.8.gz
%{__gzip} -c doc/hfs_list_volumes.8 > %{buildroot}%{_mandir}/man8/hfs_list_volumes.8.gz
%{__gzip} -c doc/hfs_mount.8 > %{buildroot}%{_mandir}/man8/hfs_mount.8.gz
%{__gzip} -c doc/hfs_delete_volume.8 > %{buildroot}%{_mandir}/man8/hfs_delete_volume.8.gz
%{__gzip} -c doc/hfs_start_volume.8 > %{buildroot}%{_mandir}/man8/hfs_start_volume.8.gz
%{__gzip} -c doc/hfs_stop_volume.8 > %{buildroot}%{_mandir}/man8/hfs_stop_volume.8.gz
%{__gzip} -c doc/hfs_update_cert.8 > %{buildroot}%{_mandir}/man8/hfs_update_cert.8.gz
%{__gzip} -c doc/hekafs.8 > %{buildroot}%{_mandir}/man8/hekafs.8.gz

# Remove unwanted files from all the shared libraries
find %{buildroot}%{_libdir}/glusterfs -name '*.a' -delete
find %{buildroot}%{_libdir}/glusterfs -name '*.la' -delete

%files
%doc COPYING
%docdir %{_mandir}/man8/
%{_libdir}/glusterfs/3.2.4/xlator/encryption/*.so*
%{_libdir}/glusterfs/3.2.4/xlator/features/*.so*
%{_libdir}/glusterfs/3.2.4/xlator/protocol/*.so*
%{_libdir}/glusterfs/3.2.4/rpc-transport/*.so*
%{python_sitelib}/*
%{_bindir}/*
%{_sysconfdir}/init.d/hekafsd
%{_var}/log/hekafs/
%{_var}/lib/hekafs/
%{_var}/run/hekafs/
%{_mandir}/man8/*

%post
/sbin/chkconfig --add hekafsd

%preun
if [ $1 = 0 ]; then
/sbin/service hekafsd stop &>/dev/null || :
/sbin/chkconfig --del hekafsd
fi

%changelog
* Fri Oct 7 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-15
- build debuginfo rpm

* Fri Sep 30 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-14
- Glusterfs 3.2.4

* Tue Sep 27 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-13
- respin 0.7.12 w/ management UI tweaks, thanks git

* Mon Sep 19 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-12
- Python version agnostic /etc/init.d/hekafsd
- additional fop methods in uidmap xlator
- management UI tweaks

* Wed Aug 31 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-11
- rename for consistent use of, e.g., remove versus rm, etc.

* Tue Aug 23 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-10
- Glusterfs 3.2.3

* Tue Aug 23 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-9
- Only do mapping in f/setxattr if valid bits set.
- Add checks for old=new in rename callback.
- Deal with different volfile locations.

* Thu Aug 18 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-8
- Glusterfs 3.2.2

* Mon Aug 8 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-7
- HekaFS rename

* Fri Aug 5 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-6
- destroy rb tree in fini() to eliminate valgrind warnings
- restore depcomp to package for rpmbuild --rebuild

* Fri Jul 29 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-5
- eliminate valgrind warning in uidmap

* Tue Jul 19 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-4
- add man pages, fix rpm/rpmlint issues for packaging

* Wed Jul 13 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-3
- add ssl socket transport, remove cluster (cloud, login) xlators
- add ssl and cert to gui/cli

* Fri Jul 08 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-2
- fix rpmlint warnings

* Thu Jun 30 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.7-1
- packaging for review with web UI

* Wed Jun 29 2011 Kaleb S. KEITHLEY <kkeithle@redhat.com> - 0.6-1
- used only internally

* Fri Jan 21 2011 Jeff Darcy <jdarcy@redhat.com> - 0.5-1
- Original version based on GlusterFS 3.1.1
